File: brltty.postinst

package info (click to toggle)
brltty 5.6-10
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 25,116 kB
  • sloc: ansic: 117,871; sh: 6,590; java: 4,785; xml: 3,451; makefile: 1,973; tcl: 1,499; awk: 611; ml: 293; python: 250; lisp: 52
file content (26 lines) | stat: -rw-r--r-- 607 bytes parent folder | download | duplicates (5)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
#! /bin/sh

set -e

if [ ! -e /etc/brlapi.key ]; then
    mcookie >/etc/brlapi.key
    chmod 0640 /etc/brlapi.key
fi
 
#update-rc.d brltty start 10 23 . > /dev/null

# Recover from incorrect init.d script headers in version 4.0-8 and earlier
if [ "$1" = "configure" ] && dpkg --compare-versions "$2" le "4.0-8" \
   && [ -f /etc/rcS.d/S[0-9][0-9]brltty ] \
   && [ -f /etc/rc0.d/K[0-9][0-9]brltty ] \
   && [ -f /etc/rc6.d/K[0-9][0-9]brltty ] ; then
    update-rc.d -f brltty remove
fi

for i in brl-sk-all.ktb
do
	dpkg-maintscript-helper rm_conffile /etc/brltty/$i 4.4-9~ brltty -- "$@"
done

#DEBHELPER#